All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.util
Class BorderTypes

    com.sas.swing.visuals.util.BorderTypes

    public abstract class BorderTypes

Field Summary
`static int` | `BASEBORDER`
`static int` | `BEVEL`
`static int` | `COMPOUND`
`static int` | `EMPTY`
`static int` | `ETCHED`
`static int` | `LINE`
`static int` | `MATTE`
`static int` | `NULL`
`static int` | `SOFTBEVEL`
`static int` | `TITLED`

Constructor Summary
`BorderTypes()`

Method Summary
`static boolean` | `validate(int type)` Determines whether a given integer value is one of the defined border types.

Field Detail

### NULL

    public static final int NULL

See Also:
  Constant Field Values

### BASEBORDER

    public static final int BASEBORDER

See Also:
  Constant Field Values

### BEVEL

    public static final int BEVEL

See Also:
  Constant Field Values

### COMPOUND

    public static final int COMPOUND

See Also:
  Constant Field Values

### ETCHED

    public static final int ETCHED

See Also:
  Constant Field Values

### EMPTY

    public static final int EMPTY

See Also:
  Constant Field Values

### LINE

    public static final int LINE

See Also:
  Constant Field Values

### MATTE

    public static final int MATTE

See Also:
  Constant Field Values

### SOFTBEVEL

    public static final int SOFTBEVEL

See Also:
  Constant Field Values

### TITLED

    public static final int TITLED

See Also:
  Constant Field Values

Constructor Detail

### BorderTypes

    public BorderTypes()

Method Detail

### validate

    public static boolean validate(int type)

  Determines whether a given integer value is one of the defined border types.

  Parameters:
    `type` - The integer value to validate.
  Returns:
    true if type is one of the defined ones and false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.